import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;

@RequestScoped
@ManagedBean(name="logowanieBean")
public class LogowanieBean {
    private String login;
    
    @ManagedProperty(value="#{uzytkownikBean}")
    private UzytkownikBean uzytkownikBean;
    
    public String submit() {
        if (this.login.equals("SYSTEM")) {
            return "/blad";
        }
        getUzytkownikBean().setLogin(this.login);
        return "/czat";
    }
    
    public String getLogin() {
        return login;
    }

   
    public void setLogin(String login) {
        this.login = login;
    }
    
    public UzytkownikBean getUzytkownikBean() {
        return uzytkownikBean;
    }
    public void setUzytkownikBean(UzytkownikBean uzytkownikBean) {
        this.uzytkownikBean = uzytkownikBean;
    }
}
